Package ghidra.app.plugin.assembler.sleigh.sem

# Class AssemblyContextGraph.Vertex

java.lang.Object
ghidra.app.plugin.assembler.sleigh.sem.AssemblyContextGraph.Vertex

All Implemented Interfaces:
  `Comparable<AssemblyContextGraph.Vertex>`

Enclosing class:
  `AssemblyContextGraph`

protected static class AssemblyContextGraph.Vertex extends Object implements Comparable<AssemblyContextGraph.Vertex>
A vertex in a context transition graph

Each vertex consists of a context block and a (sub-)table name

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final AssemblyPatternBlock`
  `context`
  `protected final String`
  `subtable`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Vertex(AssemblyPatternBlock context, String subtable)`
  Construct a new vertex with the given block and sub-table name

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(AssemblyContextGraph.Vertex that)`
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `boolean`
  `matches(AssemblyContextGraph.Vertex that)`
  Check if this and another vertex "agree"
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### context

    protected final AssemblyPatternBlock context

  - ### subtable

    protected final String subtable

- ## Constructor Details

  - ### Vertex

    protected Vertex(AssemblyPatternBlock context, String subtable)
    Construct a new vertex with the given block and sub-table name
    Parameters:
      `context` - the context
      `subtable` - the name

- ## Method Details

  - ### matches

    public boolean matches(AssemblyContextGraph.Vertex that)
    Check if this and another vertex "agree"

    This does not mean they are equal, but that they share a sub-table, and the defined bits of their context blocks agree.

    Parameters:
      `that` - the other vertex
    Returns:
      true iff they share sub-tables and defined bits

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### compareTo

    public int compareTo(AssemblyContextGraph.Vertex that)
    Specified by:
      `compareTo` in interface `Comparable<AssemblyContextGraph.Vertex>`